package com.qianhe.controller;

import com.qianhe.common.annotation.Log;
import com.qianhe.common.core.controller.BaseController;
import com.qianhe.common.core.domain.AjaxResult;
import com.qianhe.common.core.page.TableDataInfo;
import com.qianhe.common.enums.BusinessType;
import com.qianhe.common.utils.poi.ExcelUtil;
import com.qianhe.domain.JygxCljwh;
import com.qianhe.domain.JygxWzgl;
import com.qianhe.domain.JygxYyxtwh;
import com.qianhe.service.IJygxBmjjService;
import com.qianhe.service.IJygxCljwhService;
import com.qianhe.service.IJygxWzglService;
import com.qianhe.service.IJygxYyxtwhService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 经验共享-应用系统维护Controller
 *
 * @author qianhe
 * @date 2024-07-29
 */
@RestController
@RequestMapping("/system/sy")
public class JygxSyController extends BaseController
{
    @Autowired
    private IJygxYyxtwhService jygxYyxtwhService;
    @Autowired
    private IJygxWzglService jygxWzglService;
    @Autowired
    private IJygxCljwhService jygxCljwhService;
    @Autowired
    private IJygxBmjjService jygxBmjjService;


    /**
     * 查询经验共享-文章管理列表
     */
    @GetMapping("/wzgllist")
    public TableDataInfo list(JygxWzgl jygxWzgl)
    {
        startPage();
        List<JygxWzgl> list = jygxWzglService.selectList(jygxWzgl);
        return getDataTable(list);
    }

    /**
     * 查询经验共享-应用系统维护列表
     */
    @GetMapping("/yyxtwhlist")
    public TableDataInfo list(JygxYyxtwh jygxYyxtwh)
    {
        startPage();
        List<JygxYyxtwh> list = jygxYyxtwhService.selectJygxYyxtwhList(jygxYyxtwh);
        return getDataTable(list);
    }

    /**
     * 查询经验共享-超链接维护列表
     */
    @GetMapping("/cljwhlist")
    public TableDataInfo list(JygxCljwh jygxCljwh)
    {
        startPage();
        List<JygxCljwh> list = jygxCljwhService.selectJygxCljwhList(jygxCljwh);
        return getDataTable(list);
    }

    /**
     * 获取经验共享-组织领导详细信息
     */
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(jygxBmjjService.selectJygxBmjjById(id));
    }

}
